From: Benjamin Drung <benjamin.drung@ionos.com>
Date: Mon, 1 Nov 2021 11:03:33 +0100
Subject: Fix various spelling mistakes

Forwarded: https://github.com/saltstack/salt/pull/61156
Signed-off-by: Benjamin Drung <benjamin.drung@ionos.com>
---
 doc/ref/configuration/master.rst             | 2 +-
 pkg/salt.zsh                                 | 2 +-
 pkg/windows/build_env.ps1                    | 2 +-
 salt/beacons/salt_monitor.py                 | 2 +-
 salt/cli/batch.py                            | 2 +-
 salt/client/__init__.py                      | 2 +-
 salt/cloud/clouds/vmware.py                  | 2 +-
 salt/modules/ceph.py                         | 2 +-
 salt/modules/dockermod.py                    | 2 +-
 salt/modules/jira_mod.py                     | 2 +-
 salt/modules/virt.py                         | 6 +++---
 salt/states/boto_apigateway.py               | 2 +-
 salt/states/boto_sns.py                      | 2 +-
 salt/states/virt.py                          | 4 ++--
 salt/transport/__init__.py                   | 2 +-
 tests/pytests/functional/modules/test_pip.py | 2 +-
 16 files changed, 19 insertions(+), 19 deletions(-)

diff --git a/doc/ref/configuration/master.rst b/doc/ref/configuration/master.rst
index b8d3f7d..793d175 100644
--- a/doc/ref/configuration/master.rst
+++ b/doc/ref/configuration/master.rst
@@ -853,7 +853,7 @@ that does not send executions to minions.
 Default: False
 
 When checking the minions connected to a master, also include the master's
-connections to minions on the port specfied in the setting `remote_minions_port`.
+connections to minions on the port specified in the setting `remote_minions_port`.
 This is particularly useful when checking if the master is connected to any Heist-Salt
 minions. If this setting is set to True, the master will check all connections on port 22
 by default unless a user also configures a different port with the setting
diff --git a/pkg/salt.zsh b/pkg/salt.zsh
index 9b70ef6..685abcb 100644
--- a/pkg/salt.zsh
+++ b/pkg/salt.zsh
@@ -9,7 +9,7 @@
 # zstyle ':completion::complete:salt(|-call):modules:'                use-cache true
 # zstyle ':completion::complete:salt(|-cp|-call|-run|-key):salt_dir:' use-cache true
 #
-# cache validation can be controled with the style cache-ttl.
+# cache validation can be controlled with the style cache-ttl.
 # it expects two arguments: number (days|hours|weeks|months)
 # to invalidate the minion cache after four days:
 # zstyle ':completion::complete:salt(|-cp|-call):minions:'            cache-ttl 4 days
diff --git a/pkg/windows/build_env.ps1 b/pkg/windows/build_env.ps1
index 17bd2f4..c3a4228 100644
--- a/pkg/windows/build_env.ps1
+++ b/pkg/windows/build_env.ps1
@@ -274,7 +274,7 @@ If ( Test-Path "$($ini[$bitPaths]['NSISDir'])\Include\MoveFileFolder.nsh" ) {
     $file = "$($ini['Settings']['DownloadDir'])\$file"
     DownloadFileWithProgress $url $file
 
-    # Move libary to the include directory
+    # Move library to the include directory
     Write-Output " - Copying library to include directory . . ."
     Move-Item "$file" "$( $ini[$bitPaths]['NSISDir'] )\Include\MoveFileFolder.nsh" -Force
 }
diff --git a/salt/beacons/salt_monitor.py b/salt/beacons/salt_monitor.py
index e40e0b6..1776d0c 100644
--- a/salt/beacons/salt_monitor.py
+++ b/salt/beacons/salt_monitor.py
@@ -1,6 +1,6 @@
 """
 A beacon to execute salt execution module functions. This beacon will fire only if the return data is "truthy".
-The function return, funtion name and args and/or kwargs, will be passed as data in the event.
+The function return, function name and args and/or kwargs, will be passed as data in the event.
 
 The configuration can accept a list of salt functions to execute every interval.
 Make sure to allot enough time via 'interval' key to allow all salt functions to execute.
diff --git a/salt/cli/batch.py b/salt/cli/batch.py
index 862d6f9..cc934e0 100644
--- a/salt/cli/batch.py
+++ b/salt/cli/batch.py
@@ -30,7 +30,7 @@ class Batch:
 
                            The default is an empty dict.
 
-        :param bool quiet: Supress printing to stdout
+        :param bool quiet: Suppress printing to stdout
 
                            The default is False.
         """
diff --git a/salt/client/__init__.py b/salt/client/__init__.py
index c0e3938..dd75127 100644
--- a/salt/client/__init__.py
+++ b/salt/client/__init__.py
@@ -1648,7 +1648,7 @@ class LocalClient:
             timeout=timeout,
             tgt=tgt,
             tgt_type=tgt_type,
-            # (gtmanfred) expect_minions is popped here incase it is passed from a client
+            # (gtmanfred) expect_minions is popped here in case it is passed from a client
             # call. If this is not popped, then it would be passed twice to
             # get_iter_returns.
             expect_minions=(
diff --git a/salt/cloud/clouds/vmware.py b/salt/cloud/clouds/vmware.py
index 7a004df..d1c7c28 100644
--- a/salt/cloud/clouds/vmware.py
+++ b/salt/cloud/clouds/vmware.py
@@ -3970,7 +3970,7 @@ def create_folder(kwargs=None, call=None):
                 folder_refs.append(folder_refs[index - 1].CreateFolder(folder_name))
 
     if path_exists:
-        return {inventory_path: "specfied path already exists"}
+        return {inventory_path: "specified path already exists"}
 
     return {inventory_path: "created the specified path"}
 
diff --git a/salt/modules/ceph.py b/salt/modules/ceph.py
index 2e3723b..5f24d23 100644
--- a/salt/modules/ceph.py
+++ b/salt/modules/ceph.py
@@ -115,7 +115,7 @@ def zap(target=None, **kwargs):
         The cluster UUID. Defaults to value found in ceph config file.
     """
     if target is not None:
-        log.warning("Depricated use of function, use kwargs")
+        log.warning("Deprecated use of function, use kwargs")
     target = kwargs.get("dev", target)
     kwargs["dev"] = target
     return ceph_cfg.zap(**kwargs)
diff --git a/salt/modules/dockermod.py b/salt/modules/dockermod.py
index fdded88..db02337 100644
--- a/salt/modules/dockermod.py
+++ b/salt/modules/dockermod.py
@@ -361,7 +361,7 @@ def _get_client(timeout=NOTSET, **kwargs):
         client_kwargs["base_url"] = os.environ.get("DOCKER_HOST")
 
     if "version" not in client_kwargs:
-        # Let docker-py auto detect docker version incase
+        # Let docker-py auto detect docker version in case
         # it's not defined by user.
         client_kwargs["version"] = "auto"
 
diff --git a/salt/modules/jira_mod.py b/salt/modules/jira_mod.py
index e533576..519e424 100644
--- a/salt/modules/jira_mod.py
+++ b/salt/modules/jira_mod.py
@@ -41,7 +41,7 @@ def __virtual__():
     return (
         __virtualname__
         if HAS_JIRA
-        else (False, "Please install the jira Python libary from PyPI")
+        else (False, "Please install the jira Python library from PyPI")
     )
 
 
diff --git a/salt/modules/virt.py b/salt/modules/virt.py
index 18285cc..ab401e3 100644
--- a/salt/modules/virt.py
+++ b/salt/modules/virt.py
@@ -2448,7 +2448,7 @@ def init(
         NUMA node, number of dies per socket, number of cores per die, and number of threads per core, respectively.
 
     features
-        A dictionary conains a set of cpu features to fine-tune features provided by the selected CPU model. Use cpu
+        A dictionary contains a set of cpu features to fine-tune features provided by the selected CPU model. Use cpu
         feature ``name`` as the key and the ``policy`` as the value. ``policy`` Attribute takes ``force``, ``require``,
         ``optional``, ``disable`` or ``forbid``.
 
@@ -7057,7 +7057,7 @@ def network_define(
 
         .. versionadded:: 3003
 
-    :param addresses: whitespace separated list of addreses of PCI devices that can be used for this network in `hostdev` forward mode.
+    :param addresses: whitespace separated list of addresses of PCI devices that can be used for this network in `hostdev` forward mode.
         (default ``None``)
 
         .. code-block:: yaml
@@ -7336,7 +7336,7 @@ def network_update(
           - forward: passthrough
           - interfaces: "eth10 eth11 eth12"
 
-    :param addresses: whitespace separated list of addreses of PCI devices that can be used for this network in `hostdev` forward mode.
+    :param addresses: whitespace separated list of addresses of PCI devices that can be used for this network in `hostdev` forward mode.
         (default ``None``)
 
         .. code-block:: yaml
diff --git a/salt/states/boto_apigateway.py b/salt/states/boto_apigateway.py
index afbf1b4..ed26ba7 100644
--- a/salt/states/boto_apigateway.py
+++ b/salt/states/boto_apigateway.py
@@ -221,7 +221,7 @@ def present(
     lambda_funcname_format
         Please review the earlier example for the usage.  The only substituable keys in the funcname
         format are {stage}, {api}, {resource}, {method}.
-        Any other keys or positional subsitution parameters will be flagged as an invalid input.
+        Any other keys or positional substitution parameters will be flagged as an invalid input.
 
     authorization_type
         This field can be either 'NONE', or 'AWS_IAM'.  This will be applied to all methods in the given
diff --git a/salt/states/boto_sns.py b/salt/states/boto_sns.py
index 6f69518..d4e4c05 100644
--- a/salt/states/boto_sns.py
+++ b/salt/states/boto_sns.py
@@ -157,7 +157,7 @@ def present(name, subscriptions=None, region=None, key=None, keyid=None, profile
 
         if subscription not in _subscriptions:
             # Ensure the endpoint is set back to its original value,
-            # incase we starred out a password
+            # in case we starred out a password
             subscription["endpoint"] = _endpoint
 
             if __opts__["test"]:
diff --git a/salt/states/virt.py b/salt/states/virt.py
index 0bd1140..94ffc66 100644
--- a/salt/states/virt.py
+++ b/salt/states/virt.py
@@ -1360,7 +1360,7 @@ def network_defined(
 
         .. versionadded:: 3003
 
-    :param addresses: whitespace separated list of addreses of PCI devices that can be used for this network in `hostdev` forward mode.
+    :param addresses: whitespace separated list of addresses of PCI devices that can be used for this network in `hostdev` forward mode.
         (default ``None``)
 
         .. code-block:: yaml
@@ -1687,7 +1687,7 @@ def network_running(
 
         .. versionadded:: 3003
 
-    :param addresses: whitespace separated list of addreses of PCI devices that can be used for this network in `hostdev` forward mode.
+    :param addresses: whitespace separated list of addresses of PCI devices that can be used for this network in `hostdev` forward mode.
         (default ``None``)
 
         .. code-block:: yaml
diff --git a/salt/transport/__init__.py b/salt/transport/__init__.py
index b6a940f..60aa722 100644
--- a/salt/transport/__init__.py
+++ b/salt/transport/__init__.py
@@ -8,7 +8,7 @@ import warnings
 
 log = logging.getLogger(__name__)
 
-# Supress warnings when running with a very old pyzmq. This can be removed
+# Suppress warnings when running with a very old pyzmq. This can be removed
 # after we drop support for Ubuntu 16.04 and Debian 9
 warnings.filterwarnings(
     "ignore", message="IOLoop.current expected instance.*", category=RuntimeWarning
diff --git a/tests/pytests/functional/modules/test_pip.py b/tests/pytests/functional/modules/test_pip.py
index 8f75fad..c749e10 100644
--- a/tests/pytests/functional/modules/test_pip.py
+++ b/tests/pytests/functional/modules/test_pip.py
@@ -15,7 +15,7 @@ from tests.support.helpers import VirtualEnv
 )
 def test_list_available_packages(modules, pip_version, tmp_path):
     if sys.version_info < (3, 6) and pip_version == "pip>=21.0":
-        pytest.skip("{} is not avaiable on Py3.5".format(pip_version))
+        pytest.skip("{} is not available on Py3.5".format(pip_version))
     with VirtualEnv(venv_dir=tmp_path, pip_requirement=pip_version) as virtualenv:
         virtualenv.install("-U", pip_version)
         package_name = "pep8"
